Subject: bug#6689: 24.0.50; No primary selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jul 2010 13:36:37 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Thu, 22 Jul 2010 15:34:48 -0700
> Cc: [email-masked]
> 
> I do have a problem with our changing the default behavior.
> Especially without a full discussion.
> 
> I don't see a clear proposal for a change in the default behavior on
> emacs-devel.  And I don't see a proposal for a change as an opt-in option, an
> alternative.
> 
> What I see - perhaps mistakenly - is that the default behavior has changed.
> 
> If the default behavior will not be changed, and there is only a temporary bug
> in the DEVELOPMENT sources, then I have no problem with that.  (I should have
> been clearer about that.)

Drew, please calm down.  Whatever changes were made, no one meant to
make them on Windows.  The motivation was behavior on Posix systems
wrt the clipboard and the primary selection.  As I wrote elsewhere, I
don't see any reasons to change the behavior on Windows, which lacks
the primary and secondary selections, and has just the clipboard.

Can you give a concise list of problems in the new behavior on
Windows?  I don't mean critique, I mean a list of what now behaves
differently from what it did before.  Such a list would help find the
damage and fix it.  TIA